package com.ruoyi.web.modules.freight.dto;

import java.util.List;

/**
 * 运费模版保存
 */
public class FreightTemplateSaveDTO
{
    private Long templateId;

    private String templateName;

    private String shipTime;

    private String isDefault;

    private String freeFlag;

    private String pricingType;

    private FreightTemplateRuleDTO defaultRule;

    private List<FreightTemplateRegionRuleDTO> regionRules;

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public String getTemplateName()
    {
        return templateName;
    }

    public void setTemplateName(String templateName)
    {
        this.templateName = templateName;
    }

    public String getShipTime()
    {
        return shipTime;
    }

    public void setShipTime(String shipTime)
    {
        this.shipTime = shipTime;
    }

    public String getIsDefault()
    {
        return isDefault;
    }

    public void setIsDefault(String isDefault)
    {
        this.isDefault = isDefault;
    }

    public String getFreeFlag()
    {
        return freeFlag;
    }

    public void setFreeFlag(String freeFlag)
    {
        this.freeFlag = freeFlag;
    }

    public String getPricingType()
    {
        return pricingType;
    }

    public void setPricingType(String pricingType)
    {
        this.pricingType = pricingType;
    }

    public FreightTemplateRuleDTO getDefaultRule()
    {
        return defaultRule;
    }

    public void setDefaultRule(FreightTemplateRuleDTO defaultRule)
    {
        this.defaultRule = defaultRule;
    }

    public List<FreightTemplateRegionRuleDTO> getRegionRules()
    {
        return regionRules;
    }

    public void setRegionRules(List<FreightTemplateRegionRuleDTO> regionRules)
    {
        this.regionRules = regionRules;
    }
}
